Bug 114451 - Need a mechanism for persistently specifying the JVM args
Need a mechanism for persistently specifying the JVM args
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
Depends On:
Blocks: 113496
  Show dependency treegraph
Reported: 2004-01-28 06:46 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-05 11:04:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-01-28 06:46:32 EST
Description of problem:
On a production server we need to set JVM args to increase memory size
to 1.5 GB, and change garbage collector flags, etc. This can be done
on the command line when running 'ccm start', but its not acceptable
to expect the administrator to remember these args every time they
start the 'ccm' command. These settings should be persisted in some
config file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

This ties in with bug 114449, since the init script should pick up the
JVM args config.
Comment 1 Dennis Gregorovic 2004-01-28 13:56:22 EST
as of @39840, the user can set per-ccm-instance variables with
$CCM_HOME/conf/envvars.  So, to set some JVM args for the default ccm
install on a machine, add the following line to

JAVA_OPTS=-Xms256m -Xmx256m
Comment 2 Jon Orris 2004-02-05 11:04:40 EST
Works with tomcat & resin.

Note You need to log in before you can comment on or make changes to this bug.